# Class ReadOnlyModelViewException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.model.ReadOnlyModelViewException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ModelViewClosedException`

@Incubating @Deprecated public class ReadOnlyModelViewException extends GradleException
Deprecated.
The Gradle software model is deprecated and will be removed in Gradle 10. Use the new component model (e.g. `cpp-application`, `cpp-library`, `swift-application`, `swift-library`, `xctest`) instead.
Thrown when an attempt is made to change the value of a model element that is not writable at the time.

Since:
  2.14
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadOnlyModelViewException(String message)`
  Deprecated.
  Creates a new `ReadOnlyModelViewException`.
  `ReadOnlyModelViewException(org.gradle.model.internal.core.ModelPath path, org.gradle.model.internal.type.ModelType<?> type, org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)`
  Deprecated.
  Creates a new `ReadOnlyModelViewException`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static String`
  `createMessage(String viewType, org.gradle.model.internal.core.ModelPath path, org.gradle.model.internal.type.ModelType<?> type, org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)`
  Deprecated.
  Create message.

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReadOnlyModelViewException

    public ReadOnlyModelViewException(String message)
    Deprecated.
    Creates a new `ReadOnlyModelViewException`.
    Since:
      2.14

  - ### ReadOnlyModelViewException

    public ReadOnlyModelViewException(org.gradle.model.internal.core.ModelPath path, org.gradle.model.internal.type.ModelType<?> type, org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)
    Deprecated.
    Creates a new `ReadOnlyModelViewException`.
    Since:
      2.14

- ## Method Details

  - ### createMessage

    protected static String createMessage(String viewType, org.gradle.model.internal.core.ModelPath path, org.gradle.model.internal.type.ModelType<?> type, org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)
    Deprecated.
    Create message.
    Since:
      2.14